Skip to content

Firewall ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getFirewallSettingGETGet firewall setting
modifyFirewallSettingPATCHModify firewall setting
resetFirewallSettingPATCHReset firewall setting
getDefaultFirewallConfigGETGet firewall default setting

getFirewallSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/firewall

Get firewall setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getFirewallSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get firewall setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

modifyFirewallSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/firewall

Modify firewall setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema FirewallSetting

FieldTypeRequiredDescription
icmpintegeryesICMP should be within the range of 1–2097151.
otherintegeryesOther should be within the range of 1–2097151.
tcpCloseintegeryesTCP close should be within the range of 1–2097151.
tcpCloseWaitintegeryesTCP close wait should be within the range of 1–2097151.
tcpEstablishedintegeryesTCP established should be within the range of 1–2097151.
tcpFinWaitintegeryesTCP FIN wait should be within the range of 1–2097151.
tcpLastAckintegeryesTCP last ACK should be within the range of 1–2097151.
tcpSynReceiveintegeryesTCP SYN receive should be within the range of 1–2097151.
tcpSynSentintegeryesTCP SYN sent should be within the range of 1–2097151.
tcpTimeWaitintegeryesTCP time wait should be within the range of 1–2097151.
udpOtherintegeryesUDP other should be within the range of 1–2097151.
udpStreamintegeryesUDP stream should be within the range of 1–2097151.
broadcastPingbooleanyesBroadcast ping of the firewall setting.
receiveRedirectsbooleanyesReceive redirects of the firewall setting.
sendRedirectsbooleanyesSend redirects of the firewall setting.
synCookiesbooleanyesSYN Cookies of the firewall setting.
json
// omada_call_operation
{
  "operationId": "modifyFirewallSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify firewall setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

resetFirewallSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/firewall/reset

Reset firewall setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "resetFirewallSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Reset firewall setting.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getDefaultFirewallConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/firewall/timeout/default

Get firewall default setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDefaultFirewallConfig",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get firewall default setting.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.